#!/usr/bin/make -f

export PYBUILD_NAME=powerline-gitstatus

%:
	dh ${@} --buildsystem=pybuild --with python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf powerline_gitstatus.egg-info

override_dh_auto_install:
	dh_auto_install

	# colorschemes/default.json
	mkdir -p debian/powerline-gitstatus/usr/share/powerline/config_files/colorschemes
	cp /usr/share/powerline/config_files/colorschemes/default.json debian/powerline-gitstatus/usr/share/powerline/config_files/colorschemes
	patch -Np1 -i debian/local/colorschemes-default.patch

	# themes/shell/default.json
	mkdir -p debian/powerline-gitstatus/usr/share/powerline/config_files/themes/shell
	cp /usr/share/powerline/config_files/themes/shell/default.json debian/powerline-gitstatus/usr/share/powerline/config_files/themes/shell
	patch -Np1 -i debian/local/themes-shell-default.patch

	# themes/shell/default_leftonly.json
	mkdir -p debian/powerline-gitstatus/usr/share/powerline/config_files/themes/shell
	cp /usr/share/powerline/config_files/themes/shell/default_leftonly.json debian/powerline-gitstatus/usr/share/powerline/config_files/themes/shell
	patch -Np1 -i debian/local/themes-shell-default_leftonly.patch

override_dh_gencontrol:
	dh_gencontrol -- -Vbuilt-using="powerline (= $$(dpkg-query --show --showformat='$${source:Version}' powerline))" \
			 -Vpowerline:Version="(>= $$(dpkg-query --show --showformat='$${source:Version}' powerline)~)"
